#
# spec file for package enca (Version 1.13)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           enca
Summary:        Detects encoding of text files
Group:          Productivity/Other
Version:        1.13
Release:        7.1
License:        GPLv2
Url:            http://gitorious.org/enca
Source:         %{name}-%{version}.tar.bz2
Requires:       sed
%if 0%{?suse_version} <= 1020
%define gtk_doc /opt/gnome/share/gtk-doc
%else
%define gtk_doc %{_datadir}/gtk-doc
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, Ukrainian,
Chinese, and some multibyte encodings (mostly variants of Unicode)
independent on the language.

This package also contains shared Enca library other programs can make use of.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package -n libenca0
License:        GPLv2
Group:          System/Libraries
Summary:        Header files and libraries for Enca development

%description -n libenca0
The enca-devel package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install enca-devel if you are going to create applications using the Enca
library.

%package devel
License:        GPLv2
Requires:       libenca0 = %{version}
Requires:       glibc-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and libraries for Enca development

%description devel
The enca-devel package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install enca-devel if you are going to create applications using the Enca
library.

%prep
%setup -q

%build
%configure --disable-static --without-librecode
# %make %{?jobs:-j%jobs}
make

%install
%if 0%{?suse_version} <= 1020 && 0%{?suse_version} > 0
%makeinstall HTML_DIR=$RPM_BUILD_ROOT/%{gtk_doc}/html
%else
%makeinstall HTML_DIR=%{gtk_doc}/html
%endif
# the .la file is not needed without static libs
rm %{buildroot}/%{_libdir}/libenca.la

%post -n libenca0 -p /sbin/ldconfig

%postun -n libenca0 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.prelib FAQ ChangeLog.old README THANKS TODO
%{_bindir}/enc*
%{_libexecdir}/enca
%{_mandir}/man1/enc*.1*

%files -n libenca0
%defattr(-,root,root)
%{_libdir}/libenca.so.0*

%files devel
%defattr(-,root,root)
%doc README.devel
%{_datadir}/gtk-doc/html/*
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_includedir}/enca.h
%{_libdir}/libenca.so
%{_libdir}/pkgconfig/enca.pc

%changelog
* Wed May  5 2010 mcihar@suse.cz
- change buildrequire to pkgconfig to build also on other distros
* Wed May  5 2010 mcihar@suse.cz
- update to 1.13
* Sat Apr 24 2010 coolo@novell.com
- buildreqire pkg-config to fix provides
* Thu Oct 29 2009 mcihar@suse.cz
- update to version 1.12
* Fri Sep 25 2009 mcihar@suse.cz
- update to version 1.11
* Tue Aug 25 2009 mcihar@suse.cz
- build without recode support
* Tue Aug 25 2009 mcihar@suse.cz
- update to new upstream and version 1.10
* Tue Aug 11 2009 sbrabec@suse.cz
- Split according to shared library packaging rules.
* Mon Sep 22 2008 lars@linux-schulserver.de
- moved to Education base repository
* Mon Mar 17 2008 lars@linux-schulserver.de
- build for openSUSE-Education
- beautify specfile
- don't build static binaries
- Require glibc-devel for the devel package
- own %%{_datadir}/gtk-doc/html to avoid gtk-doc dependency
* Sat Sep  1 2007 16:45:00 CET - michel.sylvan@gmail.com
- Strip debugging info into separate subpackage
* Wed Aug 29 2007 14:35:00 CET  - michel.sylvan@gmail.com
- Initial package
